VERSION 4.00
Begin VB.Form Form1
   BackColor       =   &H00FFFFFF&
   Caption         =   "Example FGIW6"
   ClientHeight    =   4140
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4545
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

'*****************************************************************************
'                                                                            *
'  FGIW6.FRM                                                                 *
'                                                                            *
'  Demonstrate how to load a Fastgraph/Fonts font file from an FGI library.  *
'                                                                            *
'*****************************************************************************

Dim hPal As Long
Dim hvb As Long, hfgi As Long
Dim cxClient As Long, cyClient As Long
Dim Buffer() As Byte

Private Sub Form_Activate()
   Call fg_realize(hPal)
   Refresh
End Sub

Private Sub Form_Load()
   Dim FileSize As Long

   ScaleMode = 3
   Call fg_setdc(hDC)
   hPal = fg_defpal()
   Call fg_realize(hPal)

   Call fg_vbinit
   hvb = fg_vballoc(320, 200)
   Call fg_vbopen(hvb)
   Call fg_vbcolors

   hfgi = fgi_open("EXAMPLE.FGI")
   If hfgi = 0 Then
      Call MsgBox("Unable to open FGI file.", vbCritical, "Error")
      Unload Me
      Exit Sub
   End If
   FileSize = fgi_filesize("BRODWY18.FGF", hfgi)
   ReDim Buffer(FileSize)
   Call fgi_readnext(Buffer(0), FileSize, hfgi)
   Call fgi_close(hfgi)

   Call fgf_define(Buffer(0))
   Call fgf_justify(0, 0)
   Call fg_setcolor(255)
   Call fg_fillpage
   Call fg_setcolor(20)
   Call fg_move(160, 100)
   Call fgf_print("BROADWAY FONT", 13)
End Sub

Private Sub Form_Paint()
   Call fg_vbscale(0, fg_getmaxx(), 0, fg_getmaxy(), 0, cxClient - 1, 0, cyClient - 1)
End Sub

Private Sub Form_Resize()
   cxClient = ScaleWidth
   cyClient = ScaleHeight
   Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Erase Buffer
   Call fg_vbclose
   Call fg_vbfree(hvb)
   Call fg_vbfin
End Sub
